<template>
  <Page>
    <ActionBar title="Exo Accelerometer">
      <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="goBack()"/>
    </ActionBar>
    <StackLayout>
      <Label text="Accelerometer"/>
      <StackLayout v-if="position">
          <Label :text="'x : '+position.x" />
          <Label :text="'y : '+position.y" />
          <Label :text="'z : '+position.z" />
      </StackLayout>
    </StackLayout>
  </Page>
</template>

<script>
import * as accel from "nativescript-accelerometer";

export default {
    data() {
        return {
            position:null
        }
    },
    mounted() {
        accel.startAccelerometerUpdates(data => this.position = data);
    },
    destroyed() {
        accel.stopAccelerometerUpdates();
    }
};
</script>

<style>
</style>
